html {

  /*line-height: 1.15;*/
  /*-webkit-text-size-adjust: 100%;*/
  /*-webkit-tap-highlight-color: rgba(0, 0, 0, 0);*/
}

body {
  /*padding-bottom: 120px;*/
  /*font-family: "Lato", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";*/
  /*font-family:Arial, Helvetica, sans-serif; */
  font-family: sans-serif, Arial, Helvetica;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
  color: #888;
  text-align: center;
	background: none;
	/*position:fixed;*/
	top:0px;
	bottom:120px;
	left:5px;
	right:5px;
	/*border:solid 1px red;*/
	/*margin:0 auto;*/
	background-size: contain;
}

p {
  margin-top: 0;
  margin-bottom: 0.5rem;
}
div.modalinfo {
	color: white;
	background-color: #00A99F;
	font-weight:bold;
}

.thelink{
	color: blue;
	text-decoration: underline;
}

.corsivo{
  font-style: italic;
}

/*img { max-width: 100%; }*/

.container {
	width:100vw; 
	/*border:dotted 1px gray;*/
	/*border-radius: 20px;*/
    /*display: block;*/
    margin:0.625rem auto;
}

.blocks {
	width:95%; 
	/*border:solid 1px red;*/
    display: block;
    margin:1% auto;
	clear:both;
}

#block1, #foot {
	font-size: 0.8rem;
}

.mail{
	font-size: 0.6rem;
}

#block2, #foot {
	font-size: 0.7rem;
}

#myhead {
	background-color: #00A99F;
	color: white;
	border-radius: 0.625rem;
	line-height: 0.5rem;
	padding: 0.5rem 0rem;
}

#block0 {
	width:85%; 
	/*border:solid 1px blue;*/
	display: inline-block;
}

#blocklogout {
	width:auto; 
	/*border:solid 1px blue;*/
	/*display: inline-block;*/
	position: absolute;
	margin-left: 0.1rem;
}

#imglogout {
	/*padding:0.6rem 0.1rem 0.3rem 0;*/
}

#menubar {
	border:solid 0.1rem black;
	border-radius: 0.625rem;
	background-color: #f9f5f5;
}

.btn_menu {
	width:5.8rem;
 	height:3rem;
	font-size : 0.625rem;
	padding:0.18rem;
	margin:0.125rem;
	border:solid 0.1rem black;
  	border-radius: 0.625rem;
	background-color: #E9E9ED;
	vertical-align: middle;
}

.btn_menu:hover {
	background-color: #00A99F;
}

#dyncontent {
	/*border:dotted 1px red;*/
	width:98%;
   margin: 1rem auto 9rem auto;

}

#imglogofoot{
	width:8rem;
	height:3rem;
/*
	padding:1%;
	background-color: #00A99F;
	color:white;
	border-radius: 0.625rem;
	font-size: 0.7rem;

	padding: 1%;
	background: url("../img/logo_morgan_ben-rem.png") no-repeat center top;
	background-size: auto;
	background-repeat: no-repeat center top;
*/
	/*background-size: 20%;*/
}

footer{
	background-color: #F1F1F1;
	border-top: solid 0.1rem;
  position:fixed;
  bottom:0;
  left:0;
  right:0;
  width:100%;
	/*margin-top:200px;*/
	height:120px;
}

div.imglogo{
background-color: black;
  line-height: 1rem;
  font-size: 0.8rem;
  width: 100%;
  color: white;
  padding: 0.3rem;
}

#imglogohead{
  width: 140px;
  height: 145px;
  margin: auto;
	display: none;
}

#imglogomain{
/*
  width: 400px;
  height: 400px;
*/
  position: fixed;
  top: 0;
  right: 0;
  bottom: 110px;
  left: 0;
  margin: auto;
  z-index:-100;
}

#mymsg{
	position: fixed;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
}


.login {
	padding: 1vw;
	background-color: #eee;
	/*-moz-border-radius: 0 0 10px 10px; */
	/*-webkit-border-radius: 0 0 10px 10px; */
	border-radius: 0.625rem;
	text-align: center;
    display: block;
  	margin-bottom: 1rem;
	max-width: 80vw;
	margin: 5vw auto;
}

table {
  	margin: auto;
	max-width: 85%;
	color: black;
	font-size: 0.8rem;
  	border-spacing:0; /* Removes the cell spacing via CSS */
  	border-collapse: collapse;
	line-height: 2rem;
}
tr.thead{ font-weight:bold; }
tr.odd{ background-color: #F9F9F9; }
tr.even{ background-color: #F1F1F1; }
td{ padding: 0rem 0.5rem; }
td.alleft, .alleft{ text-align:left; }
td.alcenter, .alcenter{ text-align:center; }
td.alright, .alright{ text-align:right; }
.product{ font-size: 0.8rem; line-height: 0.8rem; }
.price{ width: 3rem; }
.pricestatus{ width: 2rem; }

#pricelist{	overflow-x:auto; }
.priceok, .infook{ color:green; border:none; }
.priceerror, .infoerror, .toconfirm{ color:red; }
.infobold { font-weight:bold; }
#lblflowcalc, #lblflowneed{	font-size: 0.8rem; width: 13rem; text-align: right; display: inline-block; padding: 0.1rem; }
#compress{ border: dashed 0.3rem; margin: 0.8rem auto; font-weight: bold; width: 13rem;}

.redborder{ border:solid 0.1rem red !important; }
.greenborder{ border:solid 0.1rem green !important; }

.sub-but{
	margin: 0.8rem 0rem; 
	width: 10rem; 
	background: #00A99F !important;
	color: white !important; 
	border-radius: 0.4rem; 
	font-weight: bold; 
}

.control{
  	max-width: 60%; /*width: 100%;*/
	height: calc(1.0em + 0.9rem);
	padding: 0.1rem 0.4rem;
	font-size: 1rem;
	/*font-weight: 400;*/
	line-height: 1.2;
	color: #495057;
	background-color: #fff;
	background-clip: padding-box;
	border: 0.1rem solid #ced4da;
	border-radius: 0.4rem;
	transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
    display: block;
    margin:0.3rem auto;
	vertical-align:middle;
}

.control#prenota-idfarm{
  	width: 90%; /*width: 100%;*/
}

#prenota-form{
/*
	background: url(../img/shutterstock+capello-grigio.jpg) no-repeat 100%;
    background-size: auto;
  	background-size: cover;
  	height: 13rem;
*/
}

#useradd-privacy{
    display: inline;
}


/*
[id^="getoffer-flowrt"]{
	width: 65px;
	border: none;
}
*/
/*
.classcheckbox{
	display: inline !important;
	float:left;
}

.grntlab{
	font-size: 0.7rem !important;
}

label {
  	display: inline-block;
  	margin-bottom: 0.5rem;
}

button {
  	border-radius: 10px;
	padding:5px;
}
*/
input,button,select,textarea {
	/*margin: 3px;*/
	font-family: inherit;
	font-size: inherit;
	line-height: inherit;
	text-align: center;
	overflow: hidden;
	text-transform: none;
}
input:focus {
	/*background-color: transparent;*/
}
input:hover, button:hover, .ideordine {
	cursor: pointer;
	background-color: rgb(255, 255, 204);
	color:black;
}
input.no-border {
	border: none;
}
input:disabled {
	background-color: gray;
}
input:read-only:not(input[type="checkbox"]) {
	background-color: #DEDDDD;
	cursor: not-allowed;
}

.ideordine:hover{
	border:solid 1px green;
}

#btnExport,#btnPrint {
	cursor: pointer;
	padding: 0.3rem;
}

/*
.getoffer-datas, .blockdis{
  	display: inline;
  	margin-bottom: 0.5rem;
}
*/
.blockdis{
  	display: block;
  	margin-bottom: 0.5rem;
}

#getoffer-flowrtcalc, #getoffer-flowrtneed{
	width:5rem
}
#getoffer-flowrtneed{
	border: solid 0.1rem black;
	background-color: #FFFF99;
	font-weight:bold;
}


#getoffer-gasinlet{
	width:13%;
}

.mychkboxclass{
	/*border: solid 1px green;*/
	/*width:50%;*/
	margin:1% 0% 1% 0%;
	text-align:left;
}

.controlcheck{
	margin: 0rem 0.18rem;
	display:inline;
}

.chkboxopt{
    margin:auto;
	 margin-bottom: 6rem;
}

#resultoffer{
	font-size: 0.9rem;
	line-height: 1;
	color:black;
	width:50%;
    	margin:0.3rem auto;
}

#offerprosp{ width:100%; margin:auto; font-size: 0.9rem;}
#offerprosp td{	width:50%; }
#offerprosp .offlbl{ text-align:right; }
#offerprosp .offval{ text-align:left; }

.error {
  padding: 1rem;
  text-align:center;
  font-weight:bold;
  color:red;
}

.ok {
  padding: 1rem;
  text-align:center;
  font-weight:bold;
  color:green;
}

.errorform{
  padding: 0rem !important;
}

.slotbtn{
	background-color: green;
	height: 4rem;
	width: 4rem;
	cursor: pointer;
	border-radius: 1.5rem;
	margin: 0.2rem;		
	color: white;
	font-weight: bold;
}

#slotorari{
  margin: auto auto 120px auto;
	width: 25%;
}

#login-pswd, #useradd-pswd, #useredit-pswd, #useredit-bsname, #companyedit-bsname{ display:inline; }
#pswdeye, #busiedit{ position: absolute; vertical-align:middle; margin: 0.8rem -2.5rem; }
#pswdeye:hover, #busiedit:hover{ cursor:pointer; }
.isediting{ background-color: #FFFFCC; }

/*#busidata{ background-color: #A0A0A0; }*/
/*#busidata, #userdata{ border:none; }*/

#bscode { display: inline; }
#useradd-bscode, #compadd-bscode, #useredit-bscode, #compedit-bscode, #companyedit-bscode{  
	width:2rem; 
	/*display: inline;*/
	display: none;
	border-radius: 0.625rem 0.625rem 0rem 0rem;
	font-weight:bold;
}

/* autocomplete start */
#divautocomp{ display: inline-grid; }

input#compadd-bsname, input#useredit-bsname, input#compedit-bsname, input#companyedit-bsname{
	font-weight:bold;
	color: #495057;
	border-radius: 0.625rem 0.625rem 0rem 0rem;
 	display: inline;
}

.tipslist{
  	/*background-color: #ffffff;*/
	/*width:6rem;*/
  	/*max-width: 80%; *//*width: 100%;*/
	height: calc(1.4em + 0.9rem);
	padding: 0rem 0.75rem;
	font-size: 0.8rem;
	line-height: 1.1;
	color: #495057;
	background-color: #fff;
	/*border: 0.125rem solid red;*/
	/*border-radius: 0rem 0rem 0.625rem 0.625rem;*/
	border: none;
    margin:0rem auto;
	text-align: left;
	display:none;
}

.list-items{
	padding: 0.2rem 0.6rem;
	margin-top:0rem;
	border-bottom: 0.1rem solid black;
	background-color: #FBFCF1;
	font-weight:bold;
	text-align:center;
	position:relative;	
	z-index:99;
}
/* autocomplete end */

.loading * {
  	cursor: wait !important;
}

img{ vertical-align:middle; padding:0.1rem 0.2rem; }
img.prenedit{ cursor: pointer; }


/* MODAL STYLES START
-------------------------------*/
.mod-modal {
    /* modals are hidden by default */
    display: none;

    /* modal container fixed across whole screen */
    position: fixed;
    inset: 0;

    /* z-index must be higher than everything else on the page */
    z-index: 10000;
    
    /* semi-transparent black background exposed by padding */
    background-color: rgba(0, 0, 0, .75);
    padding: 3rem;

    /* enables scrolling for tall modals */
    overflow: auto;
}

.mod-modal[class~="open"]{
/*.mod-modal.open {*/
    display: block;
}

.mod-modal-body {
    padding: 1.5rem;
    background: #fff;
}

body.mod-modal-open {
    /* body overflow is hidden to hide main scrollbar when modal window is open */
    overflow: hidden;
}
/* MODAL STYLES END
-------------------------------*/

fieldset{
	/*border: solid 0.1rem lightgray;*/
	border: none;
}

fieldset#pren-level1{
	border: none;
}

fieldset.modal, .modalinfo{
	background-color: #E4FFFF;
	border-radius: 1rem;
	margin: 0.4rem 0rem;
}

legend{ 
	font-weight:bold; 
	font-size:1rem; 
	color:white; 
	background: #00A99F; 
	color: white;
	margin: 0.5rem 0rem;
	padding: 0.2rem;
	border-radius: 0.4rem;
  width: auto;
  margin-left: auto;
  margin-right: auto;
}

#usergrant-fieldset{
	width:90%;
}

#screen {
   position: fixed;
   top: 0;
   left: 0;
   /*background-color: transparent;*/
   color: transparent;
   padding: 0rem;
   font-size: 0.5em;
   font-weight:bold;
}

#online-users {
   position: fixed;
   bottom: 0;
   right: 0;
   background-color: #B2CAC4;
   padding: 0.375rem;
   color: #fff;
   font-size: 1.0em;
   font-weight:bold;
}
.no-bullets{ list-style-type: none; }
#online-list{ text-align:left; font-weight:normal; font-size: 0.8em;}

/*
.icon {
  padding-left: 1rem;
  background: url("../img/add.png") no-repeat left;
  background-size: 1rem;
}
*/

.dispinline{
    display: inline;
}

.smallfield{ width: 4.5rem; margin: 0.1rem auto; }
.bigfield{ min-width: 60%; }

.smallsize{
	font-size:0.8rem; line-height:0.8rem;
}

.invisibile{
	display:none;
}

/*--------------------*/
/* BURGER MENU INIZIO */ 
/*--------------------*/
#hamburger {
  position: fixed;
  z-index: 100;
  top: 0.4rem;
  right: 0.7rem;
  padding: 0.125rem;
  border: black solid 0.1rem;
  background-color: white;
  cursor: pointer;
}

.closeIcon{ display: none; }

.menuItem {
  display: block;
  margin: 1rem 2rem;
  /*font-size: 1.8rem;*/
  color: white;
  /*text-decoration: none;*/
}

.burgermenus:hover{ 
	text-decoration: underline;
  	background-color: #ffffcc;
	color:red;
	margin: 0.2rem;
}

.burgermenulist{
  display:none;
  position: fixed;
  transform: translateY(-100%);
  transition: transform 2s;
  top: 2rem;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 99;
  background-color: black;
  color: white;
  list-style: none;
  padding-top: 0rem;
}

.burgermenus{
  width:90%;
}

.showMenu { transform: translateY(-0.5rem); }
/*--------------------*/
/* BURGER MENU FINE   */ 
/*--------------------*/
/*
#bodylogo {
  padding: 0;
	height: 690px;

	background: url("../img/shutterstock+capello-grigio.png") no-repeat fixed center;
	position:fixed;
	bottom:120px;

}
*/

.cookies-eu-banner {
  background: #444;
  color: #fff;
  padding: 6px;
  font-size: 13px;
  text-align: center;
  position: fixed;
  bottom: 0;
  width: 100%;
  z-index: 10;
}

.cookies-eu-banner button {
  text-decoration: none;
  background: #222;
  color: #fff;
  border: 1px solid #000;
  cursor: pointer;
  padding: 4px 7px;
  margin: 2px 0;
  font-size: 13px;
  font-weight: 700;
  transition: background 0.07s, color 0.07s, border-color 0.07s;
}

.cookies-eu-banner button:hover {
  background: #fff;
  color: #222;
}
/*cookie banner fine*/


.infomsg{
	z-index: 99999;
	background: pink;
	position: absolute;
	text-align: center;
	border-radius: 2rem;
	width: auto;
	line-height: 0.5rem;
	font-size: 0.8rem;
	padding: 1rem;
	margin: 0.4rem;
}

/***** Media queries - start *****/
@media (max-width: 415px) {
	.imglogo{ width:50%; }
	#menubar{ display:none; }
	#burgermenu{ display:block; }	
	h1, h2 { font-size: 2rem; } 
	.chkboxopt{ width:90%; }
	.bigfield{ min-width:90%; }
	body { background:none; }
	footer{ position:relative; }
	#slotorari{	width: 100%; margin: auto;}
	#imglogomain{ display: none; }
	.control { max-width: 100%; }
}

@media (min-width: 576px) and (max-width: 767px) {
	.imglogo{ width:40%; }
	#menubar{ display:none; }
	#burgermenu{ display:block; }
	.chkboxopt{ width:90%; }
	.bigfield{ min-width: 90%; }
	body { background:none; }
	footer{ position:relative; }
	#slotorari{	width: 100%; margin: auto;}
	#imglogomain{ display: none; }
	.control { max-width: 100%; }
}

@media (min-width: 768px) and (max-width: 991px) {
	.imglogo{ width:30%; }
	#menubar{ display:block; }
	#burgermenu{ display:none; }
	.chkboxopt{ width:90%; }
	.bigfield{ min-width: 90%; }
	body { background:none; }
	footer{ position:relative; }
	#slotorari{	width: 50%; margin: auto;}
	#imglogomain{ display: none; }

}

@media (min-width: 992px) and (max-width: 1199px) {
	.imglogo{ width:20%; }
	#menubar{ display:block; }
	#burgermenu{ display:none; }
	input[type='checkbox'] { 
		/* transform: scale(0.7); */
		width:1.25rem;
		display: inline;
		vertical-align: middle;
	}
	.login-form {
		padding: 1vw;
		background-color: #eee;
		/*-moz-border-radius: 0 0 10px 10px; */
		/*-webkit-border-radius: 0 0 10px 10px; */
		border-radius: 0.625rem;
		text-align: center;
		display: block;
	  	margin: 3rem auto;
		max-width: 50%;
	}
	.chkboxopt{ width:50%; }
	#usergrant-fieldset{ width:50%; }
}

@media (min-width: 1200px) {
	/*.imglogo{ width:15%; }*/
	#menubar{ display:block; }
	#burgermenu{ display:none; }
	input[type='checkbox'] { 
		/* transform: scale(0.7); */
		width:1.25rem;
		display: inline;
		vertical-align: middle;
	}
	.chkboxopt{ width:50%; }
	#usergrant-fieldset{ width:50%; }
}
/***** Media queries - end *****/
/*
@media print {
	table{	background-color: red; }
}
*/
